---

grafana_version: latest

# grafana_dashboards_git:
#   update: true
#   clone: true
#   url: "https://deployment:{{ vault__gitlab.deployment }}@gitlab1.tallence.com/hamburg-flughafen/grafana-dashboards.git"
#   version: "main"

grafana_config_server:
  http_addr: "127.0.0.1"
  root_url: "http://grafana.cm.local"

grafana_config_log:
  mode: file
  level: info

grafana_config_security:
  admin_user: admin
  admin_password: "{{ vault__grafana.admin }}"

grafana_config_database:
  type: mysql
  host: 127.0.0.1:3306
  name: grafana
  user: grafana
  password: "{{ vault__mariadb.grafana }}"
  max_idle_conn: 2
  max_open_conn: 20

grafana_config_remote_cache:
  type: redis
  connstr: addr=127.0.0.1:6379,pool_size=100,db=0,ssl=false

grafana_config_analytics:
  reporting_enabled: false

grafana_config_alerting:
  enabled: false
  execute_alerts: false

grafana_config_metrics:
  enabled: true
  interval_seconds: 30

grafana_datasources:
  prometheus:
    datasource:
      type: "prometheus"
      access: "proxy"
      url: 'http://127.0.0.1:9090'
    default: true
    json_data:
      tlsAuth: false
      tlsAuthWithCACert: false
      tlsSkipVerify: true
  loki:
    datasource:
      type: "loki"
      url: "http://127.0.0.1:3100"
